<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.4.0/sockjs.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
    <style>
        .list {
            list-style: none;
            width: 100%;
            max-width: 330px;
            display: table;
            margin: 0 auto
        }
    </style>
    <title>Chat</title>
</head>
<body class="text-center" style="background-color: #f5f5f5l; padding: 40px 40px">
<main style="width: 100%; max-width: 330px; padding: 15px; margin: 0 auto; vertical-align: middle">
    <h2 class="h3 mb-3 font-wight-normal" style="margin: 0 auto">Messages:</h2>
    <div id="toRefresh" th:attr="data-currentUser=${currentUser}">
        <ol th:each="message : ${messages}" th:attr="data-currentUser=${currentUser}" class="list">
            <li th:text="${message.getFromUser()} + ': ' + ${message.getContent()}" style="margin: 0; padding: 0"></li>
        </ol>
    </div>
    <textarea id="content" form="send" required style="width: 100%; max-width: 330px; margin: 0 auto" maxlength="255"></textarea>
    <form id="send">
        <button class="btn btn-lg btn-block btn-outline-primary" type="submit">Send</button>
    </form>
</main>
</body>
<footer>
    <div>
        <p class="mt-5 mb-3 text-muted" th:text="'Currently logged in as ' + ${currentUser}"></p>
        <form action="/auth/logout" method="post">
            <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}">
            <button type="submit">Log out</button>
        </form>
    </div>
</footer>
<script type="text/javascript" th:src="@{/js/messaging.js}"></script>
</html>
